# std::set::begin, std::set::cbegin

From cppreference.com
< cpp‎ | container‎ | set

iterator begin(); |  |
const_iterator begin() const; |  |
const_iterator cbegin() const; |  | (since C++11)

Returns an iterator to the first element of the container.

If the container is empty, the returned iterator will be equal to end().

### Parameters

(none)

### Return value

Iterator to the first element

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant

### Example

Run this code

    #include <set>
    #include <iostream>

    int main() {
      std::set<int> set = { 6, 1, 3, 4, 2, 5 };
      for (auto it = set.begin(); it != set.end(); ++it)
        std::cout << *it << "\n";
    }

Possible output:

    1
    2
    3
    4
    5
    6

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/set/begin&oldid=50644"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template